#!/usr/local/bin/perl
# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

use Stanford::Directory;

# test uid
$UID='torg';

$dir = new Stanford::Directory;
$dir->set(ldap_server=>"ldap-test.stanford.edu");
$dir->set(mechanism=>"GSSAPI");
$dir->set(basedn=>"cn=accounts,dc=stanford,dc=edu");
$dir->set(keytab=>"/opt/httpd/conf/webauth/keytab");
$dir->set(service=>"webauth");
$dir->set(instance=>"www.stanford.edu");
$dir->set(ticket_file=>"/tmp/mail_ticket.tgt");

@entries = $dir->ldap_query("suseassunetid=$UID");
if (!@entries) {
    if ($dir->error) {
        print "\n" . $dir->error_type . " Error:\n\n   " . $dir->error . "\n\n";
    } else {
        print "$UID is gone or missing from the directory - test invalid.\n";
    }
    print "not ok 3\n";
} else {
    $entry = shift @entries;
    $uid   = ($entry->suseassunetid)[0];
    $suMailDrop = ($entry->suMailDrop)[0];

    print "not " unless ($UID eq $uid);
    print "Got uid $uid\n";
    print "Got Maildrop $suMailDrop\n";
    print "ok 3\n";
}
