# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

use Stanford::Directory;

# test uid
$UID='torg';

print "the next test will fail unless you can bind to the directory anonymously\n";

$dir = new Stanford::Directory;
$dir->set(basedn=>"cn=accounts,dc=stanford,dc=edu");

@entries = $dir->ldap_query("uid=$UID");
if (!@entries) {
    if ($dir->error) {
        print "\n" . $dir->error_type . " Error:\n\n   " . $dir->error . "\n\n";
    } else {
        print "$UID is gone or missing from the directory - test invalid.\n";
    }
    print "not ok 3\n";
} else {
    $entry = shift @entries;
    $uid   = ($entry->uid)[0];

    print "not " unless ($UID eq $uid);
    print "ok 3\n";
}
