# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..3\n"; }
END {print "not ok 1\n" unless $loaded;}
use Stanford::Directory;
$loaded = 1;
print "ok 1\n";

# test uid
$UID='torg';

print "the next test will fail unless you can bind to the directory as ``LdapAdmin''.\n";

$dir = new Stanford::Directory;
$dir->set(ldap_server=>"ldap.stanford.edu");
$dir->set(mechanism=>"GSSAPI");
$dir->set(basedn=>"cn=people,dc=stanford,dc=edu");
$dir->set(weights=>1);

@entries = $dir->ldap_query("uid=$UID","ou");
if (!@entries) {
    if ($dir->error) {
        print "\n" . $dir->error_type . " Error:\n\n   " . $dir->error . "\n\n";
    } else {
        print "$UID is gone or missing from the directory - test invalid.\n";
    }
    print "not ok 3\n";
} else {
    $entry = shift @entries;
    $ou   = ($entry->ou)[0];
   
    print "not " unless ($ou =~ /^{/);
    print "ok 3\n";
}
