# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..3\n"; }
END {print "not ok 1\n" unless $loaded;}
use Stanford::Directory;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

$dir = new Stanford::Directory;
$dir->set(basedn => "cn=start,cn=time,cn=monitor");
$dir->scope("base");
@entries = $dir->ldap_query("objectClass=*",'+');
if (!@entries) {
    if ($dir->error) {
        print "\n" . $dir->error_type . " Error:\n\n   " . $dir->error . "\n\n";
    }
    print "not ok 2\n";
} else {
    $entry = shift @entries;
    $stime = ($entry->createtimestamp)[0];

    print "not " unless $stime;
    print "ok 2\n";
}

# test uid
$UID='torg';

print "the next test will fail unless you can bind to the directory as ``ldapadmin''.\n";

$dir = new Stanford::Directory;
$dir->set(mechanism=>"GSSAPI",
          basedn => "cn=people, dc=stanford, dc=edu");

@entries = $dir->ldap_query("uid=$UID");
if (!@entries) {
    if ($dir->error) {
        print "\n" . $dir->error_type . " Error:\n\n   " . $dir->error . "\n\n";
    } else {
        print "$UID is gone or missing from the directory - test invalid.\n";
    }
    print "not ok 3\n";
} else {
    $entry = shift @entries;
    $uid   = ($entry->uid)[0];

    print "not " unless ($UID eq $uid);
    print "ok 3\n";
}
